Bug 1291436 - All 4.2 kernels fail to hibernate (suspend to disk)
All 4.2 kernels fail to hibernate (suspend to disk)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 16:12 EST by Andrew Duggan
Modified: 2017-03-28 18:01 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:01:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lists: needinfo-


Attachments (Terms of Use)
HW Info (2.34 KB, text/plain)
2015-12-14 16:12 EST, Andrew Duggan
no flags Details
CPU Info (3.42 KB, text/plain)
2015-12-14 16:13 EST, Andrew Duggan
no flags Details

  None (edit)
Description Andrew Duggan 2015-12-14 16:12:35 EST
Created attachment 1105698 [details]
HW Info

Description of problem:
Press the power button to suspend to disk (hibernate) as per config.  System hangs and does not hibernate.  

Version-Release number of selected component (if applicable):
23

How reproducible:
Always

Steps to Reproduce:
1.Boot any F23 4.2.x kernel
2.attempt to suspend to disk
3.

Actual results:
System hang

Expected results:
Successful hibernate

Additional info:
This happens on every 4.2 kernel (from install to latest updates testing 
kernel-PAE-core-4.2.7-300.fc23.i686

kernel-PAE-4.1.4-100.fc21.i686 from F21 still boots and hibernates correctly.  Windows has done with without a single failure since 1999 (NT 5 beta 2 through Windows 10).
Comment 1 Andrew Duggan 2015-12-14 16:13 EST
Created attachment 1105699 [details]
CPU Info
Comment 2 Josh Boyer 2015-12-14 19:20:32 EST
The Fedora kernel team is most likely not going to get to investigating this bug.  You might be best off by trying to bisect between the 4.1 and 4.2 kernel builds to see if there is a particular commit that causes your issue.  You can find some helpful scripts here: http://www.labbott.name/blog/2015/11/30/a-look-at-the-kernel-bisection-scripts/
Comment 3 Laura Abbott 2016-09-23 15:57:54 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 4 Jack 2016-10-07 21:50:48 EDT
I met the same issue with the latest kernel v4.7.5-200 on Fedora 24. 

And the hibernate cannot resume, just reboot instead.

Any help will be appreciated!

Additional info:
Fedora 24
kernel:  4.7.5-200.fc24.x86_64
TLP(http://linrunner.de/en/tlp/tlp.html) installed
Comment 5 samoht0 2016-10-15 17:49:39 EDT
If resume fails, putting resume=/your/swap in kernel command line is worth trying (get your swap device it with swapon -s).
Should fix "no resume, just reboot" in most cases.
Comment 6 Fedora End Of Life 2016-11-24 09:14:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 12:01:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.